Summary:	Advanced KDE twin-panel file-manager
Name:		krusader
Version:	2.7.1
Release:	1
Epoch:		3
License:	GPLv2+
Group:		File tools
URL:		http://krusader.sourceforge.net/
Source0:    http://download.kde.org/stable/krusader/%{version}/%{name}-%{version}.tar.xz
Source1:    krusader-2.7.1_ru.tar.gz
Patch0:     krusader-2.6.0-desktop_root_action.patch
BuildRequires:  extra-cmake-modules
BuildRequires:  kde5-macros
BuildRequires:  kf5archive-devel
BuildRequires:  kf5bookmarks-devel
BuildRequires:  kf5codecs-devel
BuildRequires:  kf5completion-devel
BuildRequires:  kf5coreaddons-devel
BuildRequires:  kf5config-devel
BuildRequires:  kf5doctools-devel
BuildRequires:  kf5guiaddons-devel
BuildRequires:  kf5i18n-devel
BuildRequires:  kf5iconthemes-devel
BuildRequires:  kf5itemviews-devel
BuildRequires:  kf5kio-devel
BuildRequires:  kf5notifications-devel
BuildRequires:  kf5parts-devel
BuildRequires:  kf5solid-devel
BuildRequires:  kf5textwidgets-devel
BuildRequires:  kf5wallet-devel
BuildRequires:  kf5widgetsaddons-devel
BuildRequires:  kf5windowsystem-devel
BuildRequires:  kf5xmlgui-devel
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Concurrent)
BuildRequires:	pkgconfig(Qt5DBus)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5PrintSupport)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5Xml)
Requires:  ktexteditor-kf5


%description
Krusader is an advanced twin panel (commander style) file manager
for KDE and other desktops in the *nix world, similar to Midnight or
Total Commander. It provides all the file management features you
could possibly want.

Plus: extensive archive handling, mounted filesystem support, FTP,
advanced search module, an internal viewer/editor, directory
synchronisation, file content comparisons, powerful batch renaming
and much much more. It supports a wide variety of archive formats
and can handle other KIO slaves such as smb or fish.

%files -f krusader.lang
%doc README AUTHORS ChangeLog TODO COPYING
%{_kde5_bindir}/krusader
%{_kde5_applicationsdir}/*.desktop
%{_kde5_services}/*.protocol
%{_kde5_datadir}/krusader/icons/hicolor/*
%{_kde5_iconsdir}/hicolor/*/apps/krusader*.png
%{_qt5_plugindir}/*.so
%{_kde5_datadir}/krusader/layout.xml
%{_kde5_datadir}/krusader/midnight_commander.color
%{_kde5_datadir}/krusader/splash.png
%{_kde5_datadir}/krusader/total_commander.color
%{_kde5_datadir}/krusader/total_commander.keymap
%{_kde5_datadir}/krusader/total_commander.keymap.info
%{_kde5_datadir}/krusader/useraction_examples.xml
%{_kde5_datadir}/kxmlgui5/krusader/*.rc
%{_kde5_docdir}/HTML/*/krusader/*
%{_sysconfdir}/xdg/kio_isorc
%{_kde5_mandir}/man1/krusader.1.xz
%{_appdatadir}/org.kde.krusader.appdata.xml

#--------------------------------------------------------------------

%prep
%setup -q
%patch0 -p1

pushd po/ru
tar -xvzf %{SOURCE1}
popd

%build
%cmake_kde5
%make

%install
%makeinstall_std -C build

%find_lang %{name} --with-html --with-man


%changelog

* Sun Aug 12 2018 Victor Ryzhikh <victorr2007@yandex.ru> 3:2.7.1-1
- (36394c3) Updated to 2.7.1


